> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Approve a request ## OpenAPI ````json POST /v1/approval_requests/{request-id}/approve { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/approval_requests/{request-id}/approve": { "post": { "tags": [ "ApprovalRequests" ], "summary": "Approve a request.", "operationId": "approveApprovalRequest", "parameters": [ { "$ref": "#/components/parameters/RequestId" } ], "requestBody": { "$ref": "#/components/requestBodies/ApproveRequest" }, "responses": { "200": { "description": "Details about the specified approval request.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApprovalRequest" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "parameters": { "RequestId": { "name": "request-id", "in": "path", "description": "Approval Request Identifier", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "requestBodies": { "ApproveRequest": { "description": "Optional parameters for approval request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApproveRequest" } } }, "x-bodyName": "body" } }, "schemas": { "ApprovalRequest": { "required": [ "request_id", "requester", "created_at", "acct_id", "group_id", "operation", "method", "approvers", "status", "expiry" ], "type": "object", "properties": { "request_id": { "type": "string", "description": "UUID uniquely identifying this approval request.", "format": "uuid" }, "requester": { "$ref": "#/components/schemas/Entity" }, "created_at": { "type": "integer", "description": "When this approval request was created.", "format": "int64" }, "acct_id": { "type": "string", "description": "The account ID of the account that this approval request belongs to.", "format": "uuid" }, "group_id": { "type": "string", "description": "The group ID where this approval request belongs to.", "format": "uuid" }, "operation": { "type": "string", "description": "Operation URL path, e.g. `/crypto/v1/keys`, `/crypto/v1/groups/`." }, "method": { "type": "string", "description": "Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST." }, "body": { "type": "object" }, "approvers": { "type": "array", "items": { "$ref": "#/components/schemas/Entity" } }, "denier": { "$ref": "#/components/schemas/Entity" }, "denial_reason": { "type": "string", "description": "Reason given by denier." }, "reviewers": { "type": "array", "items": { "$ref": "#/components/schemas/Entity" } }, "status": { "$ref": "#/components/schemas/ApprovalRequestStatus" }, "subjects": { "type": "array", "items": { "$ref": "#/components/schemas/ApprovalSubject" } }, "description": { "type": "string", "description": "Optional comment about the approval request for the reviewer." }, "expiry": { "type": "integer", "description": "When this approval request expires.", "format": "int64" } } }, "ApproveRequest": { "type": "object", "properties": { "password": { "type": "string", "description": "Password is required if the approval policy requires password authentication." }, "u2f": { "type": "string", "description": "U2F is required if the approval policy requires two factor authentication." }, "body": { "type": "object", "description": "Data associated with the approval" } }, "description": "Optional parameters for approve request" }, "Entity": { "type": "object", "properties": { "user": { "type": "string", "description": "The user ID of the user who created this entity, if this entity was created by a user.", "format": "uuid" } }, "description": "An app, user, or plugin ID." }, "ApprovalRequestStatus": { "enum": [ "PENDING", "APPROVED", "DENIED", "FAILED", "DENIED_OTHER", "PENDING_CHILD", "PENDING_OTHER" ], "type": "string", "description": "Approval request status." }, "ApprovalSubject": { "type": "object", "properties": { "workflow": { "type": "string", "description": "The ID of the workflow being acted upon.", "format": "uuid" } }, "description": "Identifies an object acted upon by an approval request." } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````